Page MenuHomePhabricator

Enable EducationProgram extension on Serbian Wikipedia (srwiki)
Closed, ResolvedPublic

Description

Please enable Education program extension on Serbian Wikipedia, per community discussion and consensus.

Related Objects

StatusSubtypeAssignedTask
Resolveddemon

Event Timeline

dungodung raised the priority of this task from to Needs Triage.
dungodung updated the task description. (Show Details)
dungodung added a subscriber: dungodung.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 27 2015, 11:31 PM
Glaisher renamed this task from Enable Education program extension on Serbian Wikipedia to Enable EducationProgram extension on Serbian Wikipedia (srwiki).Aug 28 2015, 12:30 PM
Glaisher triaged this task as Medium priority.
Glaisher set Security to None.

Hey Tyler. Happy to meet you virtually. Adding you as a CC to this task since you were so helpful with the last request for this same thing. See: https://phabricator.wikimedia.org/T105853. Hope you can help with this, or point me to someone else who can. This community is eager to use this extension. Hvala! ...That's thanks in Serbian... :)

Change 236231 had a related patch set uploaded (by MarcoAurelio):
Enable Education Program extension at srwiki

https://gerrit.wikimedia.org/r/236231

Thanks, @MarcoAurelio! :) I'd award another token, but apparently it's just one per person per task.

Thanks, @MarcoAurelio! :) I'd award another token, but apparently it's just one per person per task.

My pleasure. Waiting for @thcipriani so he can finish the process (it seems that we may need further DB changes, or at least that's what I've read on similar gerrit commits regarding EP installs).

Krenair added a subscriber: Krenair.Sep 5 2015, 7:20 PM

Yes, this wiki does not have the DB tables required for this extension to be installed. That'll need to be handled before the extension can be turned on.

Thanks, @Krenair. So, how do we get this wiki the DB tables that it requires? I'm in Europe now with @dungodung and he's asked me when they can expect to get this extension installed. The academic year in Serbia begins September 1 and they were hoping to be able to use it this term, but it's too late for that now. -- for the secondary schools, at least. There is, though, still time to get this done before the university course begin on October 1 -- that is, *if* someone in tech lets me know whom I need to lovingly but firmly nudge about this. :) Best, Anna

Can it be done through gerrit? Is there an example I can see? I might be able to do it if easy...

@AKoval_WMF: If this request gets approved, the deployer doing so should create the tables and then turn the extension on. Given that this request was filed on the 28th of August, there was not really a great chance of it being done by the 1st of September.

@MarcoAurelio: The database tables? No.

Krenair added a subtask: Restricted Task.Sep 12 2015, 8:00 PM

@MarcoAurelio: The database tables? No.

:-(

Thanks.

I agree with @MarcoAurelio: :(

@Krenair, several more questions for you.

  • Who approved the request?
  • What developer are you referring to -- the one who will create the tables?
  • Who is handling the blocking task? @thcipriani? (I can't see the details of it; it's restricted.)
  • How much longer do you estimate until the extension can be turned on?

I've never seen an EducationProgram extension request blocked because a wiki does not have the DB tables required for this extension to be installed. Is there some documentation about this that I can link to in my documentation and instructions for requesters? If this ever happens again, people will not be disappointed if they are forewarned that this delay is possible.

Best, Anna

  • Who approved the request?

No one.

  • What developer are you referring to -- the one who will create the tables?

Whichever deployer approves it despite the task marked as a blocker here.

  • Who is handling the blocking task? @thcipriani? (I can't see the details of it; it's restricted.)

I'll add you to it... What does @thcipriani have to do with this?

  • How much longer do you estimate until the extension can be turned on?

I don't have an estimate. It'll take as long as it takes.

I've never seen an EducationProgram extension request blocked because a wiki does not have the DB tables required for this extension to be installed.

That's not really the reason this is stuck. Database tables will need to be created, but can be done easily and should just happen if/when the config change to enable the extension goes through.

Krenair added a subtask: Restricted Task.Sep 16 2015, 3:57 PM
Krenair added a subtask: Restricted Task.Sep 16 2015, 4:49 PM

Change 236231 abandoned by MarcoAurelio:
Enable Education Program extension at srwiki

Reason:
Per Alexander. This should not be deployed to more wikis until all the security issues that this extension have are resolved; which IMHO is unlikely to happen. We can restore this change later if such miracle happen.

https://gerrit.wikimedia.org/r/236231

Krenair changed the task status from Open to Stalled.Sep 28 2015, 11:19 AM
Krenair removed a project: Patch-For-Review.
Jalexander changed the task status from Stalled to Open.Oct 1 2015, 6:55 PM
Jalexander added a subscriber: Jalexander.

At this point I'll reopen, I don't think that waiting for all 3 of the currently blocking tasks (or, honestly, any of them) is going to be reasonable right now given the desire by the community and T112806 helping to minimize risk as we look for better options.

T112806 is a patch to deal with existing wikis (where we can't simply undeploy the extension) by reducing the risk, it's not a real solution to the problems this extension has. Maybe you can convince someone else to deploy this, but at the moment I'm not going to, and I would advise anyone else with deployment access against it.

Thanks, James.

Change 236231 restored by MarcoAurelio:
Enable Education Program extension at srwiki

Reason:
Per James Alexander @ https://phabricator.wikimedia.org/T110619#1694388

https://gerrit.wikimedia.org/r/236231

Gerrit change restored as per James. Decision if it should be merged or not is not mine and will let appropriate people decide upon it.

greg added subscribers: csteipp, greg.Oct 9 2015, 3:09 AM

Hello all,

@csteipp, Floor Koudijs (from the Wikipedia Education Program), and myself talked about this request offline. We came to a mutually agreeable conclusion.

Chris and I are OK with enabling this extension on Serbian Wikipedia with the following agreements:

  1. The Wikipedia Education Program gives a rough plan and rough timeline of when the EducationProgram extension will either be improved or replaced.
    • This is done, summary is roughly: They're looking into options and hopefully by end of the fiscal.
  2. We agreed that if there are any security or privacy-related incidents with the EducationProgram extension that WMF Engineering may have no choice but to quickly disable the extension. We agreed to contact Floor and James A as soon as possible in such a situation.

Thanks, all, for understanding.

Thanks, @greg. Much appreciated.

greg assigned this task to demon.Oct 14 2015, 6:01 PM

Chad graciously agreed to get this done.

greg added a comment.Oct 14 2015, 9:33 PM

Just FYI, all deployments have been halted for the rest of the week, so the earliest this could happen is next week (week of Oct 19th). See: https://lists.wikimedia.org/pipermail/wikitech-l/2015-October/083598.html

I still think a mistake is being made here, but removing my -2 so WMF RelEng can deploy this.

Change 236231 merged by jenkins-bot:
Enable Education Program extension at srwiki

https://gerrit.wikimedia.org/r/236231

demon closed this task as Resolved.Oct 19 2015, 5:04 PM

Enabled on srwiki, seems to be working fine.

Reedy closed subtask Restricted Task as Declined.Sep 25 2018, 11:09 PM
Restricted Application added a subscriber: Petar.petkovic. · View Herald TranscriptSep 25 2018, 11:09 PM
Reedy closed subtask Restricted Task as Declined.Sep 25 2018, 11:09 PM
Reedy closed subtask Restricted Task as Declined.Sep 25 2018, 11:11 PM